Bug 511297 - network logins selection needs to start network at boot
network logins selection needs to start network at boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 12:17 EDT by Tom Shield
Modified: 2009-09-09 16:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 16:46:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Shield 2009-07-14 12:17:58 EDT
Description of problem:

If network logins are selected at install time (NIS, etc), then the network needs to be brought up before a user logs in.  

Version-Release number of selected component (if applicable):

Fedora 11 install media

How reproducible:

every time

Steps to Reproduce:
1. Install Fedora 11 selecting NIS logins
2. reboot at end of install
3. No network logins are available as the network is not up.
  
Actual results:

No network logins available.

Expected results:

Network logins available.

Additional info:

If NIS, etc, are selected then you need to turn off Network-Manager and turn on /etc/init.d/network and mark the primary interface as onboot=yes in ifcfg-eth0.

I would also like the choice in general of having network brought up at boot.  I always end up having to do these steps by hand and reboot to get my machines setup.  So a check box to bring network up at boot would be a good option to add, so you could force the network on at boot even if you are not using NIS, etc. (For example you want NFS mounts for home directories.)
Comment 1 David Cantrell 2009-08-18 22:16:24 EDT
Can you provide the kickstart file you used for installation?
Comment 2 Tom Shield 2009-08-19 10:52:12 EDT
Sorry no, I did it by hand.

When you get to the setup accounts section, select one of the network logins (I used NIS) choices.
Comment 3 David Cantrell 2009-08-22 05:38:39 EDT
The choice you made was in firstboot and not anaconda.  Reassigning to firstboot.
Comment 4 Chris Lumens 2009-09-09 16:46:35 EDT
It's not firstboot's place to do network configuration.  There's currently no network configuration dialog in firstboot and I don't want to add another one, as that just contributes to the problem of more and more dialogs that do the same thing slightly differently.  If we do need to bring up the network, either (1) anaconda needs to provide the interface to do it, or (2) we need a good system-wide dialog for bringing up the network that firstboot can then use.

Note You need to log in before you can comment on or make changes to this bug.